installing pulseaudio

Post here if you are a new Porteus member and you're looking for some help.
Post Reply
maspai
White ninja
White ninja
Posts: 15
Joined: 04 Jul 2012, 03:11
Location: Indonesia

installing pulseaudio

Post#1 by maspai » 25 Oct 2012, 04:47

i have pulseaudio module activated, but trying to run it in terminal returns:

Code: Select all

pulseaudio: error while loading shared libraries: /usr/lib/libtdb.so.1: file too short
any help appreciated. thanks.

maspai
White ninja
White ninja
Posts: 15
Joined: 04 Jul 2012, 03:11
Location: Indonesia

Re: installing pulseaudio

Post#2 by maspai » 31 Oct 2012, 02:52

anybody has solution?

User avatar
fanthom
Site Admin
Site Admin
Posts: 4618
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: installing pulseaudio

Post#3 by fanthom » 31 Oct 2012, 14:59

hi maspai,

please provide your porteus version and download link for pulseaudio package.
i suspect it's not coming from our repos or you had corrupted download.
Please add [Solved] to your thread title if the solution was found.

maspai
White ninja
White ninja
Posts: 15
Joined: 04 Jul 2012, 03:11
Location: Indonesia

Re: installing pulseaudio

Post#4 by maspai » 01 Nov 2012, 03:20

i have porteus 1.2 xfce 32 bit.
i got the pulseaudio package from slacky, while in /etc/ppm/slacky.conf:

Code: Select all

REPO=http://darkstar.ist.utl.pt/slackware/addon/slacky
REPO=http://repository.slacky.eu
i found no pulseaudio in porteus repo nor slackware repo.

maspai
White ninja
White ninja
Posts: 15
Joined: 04 Jul 2012, 03:11
Location: Indonesia

Re: installing pulseaudio

Post#5 by maspai » 01 Nov 2012, 04:43

i remove pulseaudio & try to reinstall it. i get pulseaudio from slacky & then ppm says there are 3 missing deps: libasyncns, liblirc_client, libtdb. i then activate pulseaudio module & ppm searches the deps, 3 found: libasyncns, lirc, samba (well, i have no idea why samba is there), then the 3 are installed.
i try run pulseaudio from terminal, it says:

Code: Select all

pulseaudio: error while loading shared libraries: libtdb.so.1: cannot open shared object file: No such file or directory
i search for libtdb, found only in debian (libtdb1_1.2.10-2_i386.deb). i press "download package" button, "convert to module" button, & then activate it. but running pulseaudio returns the same message, reactivating it also returns the same.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4618
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: installing pulseaudio

Post#6 by fanthom » 01 Nov 2012, 09:39

libtdb.so.1 is a part of samba package so please try to get it from here:
link

if that wont help then i would suggest you compiling package pulseaudio from slackbuilds.
this way you wont have to resolve missing deps as resulting package will fit your current setup (some functionality will be cut-off but you probably do not need extras like samba or lirc support)

Cheers
Please add [Solved] to your thread title if the solution was found.

User avatar
brokenman
Site Admin
Site Admin
Posts: 5574
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: installing pulseaudio

Post#7 by brokenman » 02 Nov 2012, 13:22

You may also try a dirtier but quicker way.

Search your system for libtdb.so.*

Code: Select all

find /usr/lib -type f -name "libtdb.so.*"
If the library found is not .so.1 then you could symlink the library found.

Code: Select all

ln -s /usr/lib/libtdb.so.x /usr/lib/libtdb.so.1
Where .so.x is the library that was found.

The preferred way would be to install the required libraries or compile locally as suggested.
How do i become super user?
Wear your underpants on the outside and put on a cape.

User avatar
bigbass
Contributor
Contributor
Posts: 151
Joined: 13 Jan 2012, 14:35
Distribution: slackware 14

Re: installing pulseaudio

Post#8 by bigbass » 03 Nov 2012, 00:13

if you want to see whats needed to get it to run
this is a complex package to fill the dependency bill
because each new package installed you have to check the dependencies again
but here is a step by step with the links


pulseaudio-0.9.23-i486-5sl.txz
http://darkstar.ist.utl.pt/slackware/ad ... 86-5sl.txz

====dependencies ====

speex-1.2rc1-i486-7sl.txz
http://slackware.org.uk/slacky/slackwar ... 86-7sl.txz


libasyncns-0.8-i486-3sl.txz
http://slackware.org.uk/slacky/slackwar ... 86-3sl.txz


bluez-4.91-i486-1.txz
http://mirrors.dotsrc.org/slackware/sla ... i486-1.txz


jack-audio-connection-kit-0.121.3-i486-1sl.txz
http://slackware.org.uk/slacky/slackwar ... 86-1sl.txz

lirc-0.9.0-i486-1sl.txz
http://slackware.org.uk/slacky/slackwar ... 86-1sl.txz

Post Reply